body {
  margin: 0;
  font-family: "Libre Baskerville", sans-serif;
  background-color: #f4f4f4;
}

a {
  color: white;
}

/* header */

.header {
  background-color: #57755e;
  box-shadow: 1px 1px 4px 0 rgba(0,0,0,.1);
  position: fixed;
  width: 100%;
  z-index: 3;
}

.header ul {
  margin: 0;
  padding: 0;
  list-style: none;
  overflow: hidden;
  background-color: #57755e;
}

.header li a {
  display: block;
  padding: 20px 20px;
  border-right: 1px solid #f4f4f4;
  text-decoration: none;
}

.header li a:hover,
.header .menu-btn:hover {
    color: #333;
/*  background-color: #f4f4f4;  */
}

.header .logo {
  display: block;
  float: left;
  padding: 10px 10px 0;
}

.header img {
  width: 60px;
}

/* menu */

.header .menu {
  clear: both;
  max-height: 0;
  transition: max-height .2s ease-out;
}

/* menu icon */

.header .menu-icon {
  cursor: pointer;
  display: inline-block;
  float: right;
  padding: 28px 20px;
  position: relative;
  user-select: none;
}

.header .menu-icon .navicon {
  background: #333;
  display: block;
  height: 2px;
  position: relative;
  transition: background .2s ease-out;
  width: 18px;
}

.header .menu-icon .navicon:before,
.header .menu-icon .navicon:after {
  background: #333;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}

.header .menu-icon .navicon:before {
  top: 5px;
}

.header .menu-icon .navicon:after {
  top: -5px;
}

/* menu btn */

.header .menu-btn {
  display: none;
}

.header .menu-btn:checked ~ .menu {
  max-height: 240px;
}

.header .menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}

.header .menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.header .menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  top: 0;
}

/* 48em = 768px */

@media (min-width: 48em) {
  .header li {
    float: left;
  }
  .header li a {
    padding: 20px 30px;
  }
  .header .menu {
    clear: none;
    float: right;
    max-height: none;
  }
  .header .menu-icon {
    display: none;
  }
}

#about {
    min-height: 100vh;
    padding-top: 2rem;
    background: url('https://images.pexels.com/photos/34153/pexels-photo.jpg') no-repeat;
    background-size: cover;
    background-position: center;
    overflow: hidden;
}

#about > p {
    color: white;
    text-align: center;
    margin: 15vh;
    text-shadow: 1px 1px 1px black;
}

p {
    font-size: 1rem;
/*    padding: 1vw;
*/
}

h1 {
    font-size: 400%;
    margin: 12vh 0 6vh;
}

h1, h2 {
    text-align: center;
    color: tan;
}

#boxes {
    display: flex;
    min-height: 2rem;
    margin: 0 15vw 2vw;
    font-size: 1vw;
    gap: 5vw;
    text-align: center;
  }

.box {
/*    background-color: lavender;   */
    background-color: #DDD;
    width: 15%;
    margin: auto;
    padding: 1vw;
    border: 5px solid #57755e;
    border-radius: 25px; 
  }

#distros {
    display: flex; 
    flex-direction: column; 
    gap: 10px;
    margin: 2vw;
}
.distro-section {
    display: flex;
    align-items: center;
    padding: 1vw;
    margin: 1vw 5vw;
    background-color: #F7EFE6;
    border: 3px solid black;
    border-radius: 5px;
    box-shadow: 5px 10px 20px rgba(0,0,0,0.75);
}

.distro-intro {
    text-align: center;
}


.distro-logo {
    width: 6rem;
    margin: 1rem;
}

.vid-embed {
    padding-bottom: 2rem;
    background-color: #DDD;
}

.embed-heading {
    padding-top: 1.5rem;
}

iframe {
    display: block;
    width: 720px;
    height: 408px;
    margin: auto;
}

footer {
    background-color: #57755e;
    padding: 1rem 0 1.5rem;
    vertical-align: bottom;
}

footer form {
    display: flex;
    align-items: start;
    justify-content: center;
}

footer label {
    padding: 0 0.5em; 
}

@media (max-width: 800px) {
    iframe {
        width: 360px;
        height: 204px;
    }
    .distro-logo {
        width: 3rem;
    }
}

@media (max-width: 800px) {
    p {
        font-size: 0.75rem;
    }
    h1 {
        font-size: 300%;
    } 
    #about {
        padding-top: 3rem;
    }
}

@media (max-height: 400px) {
    p {
        font-size: 0.75rem;
    }
    h1 {
        font-size: 300%;
    } 
    #about {
        padding-top: 3rem;
    }
}

